明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 996|回复: 1

求竖排变横排的程序或者思路

[复制链接]
发表于 2015-5-30 13:56:47 | 显示全部楼层 |阅读模式
本帖最后由 偏爱云~小吴 于 2015-5-30 14:00 编辑

求将附件所示的图竖排变横排的法子,求大神出手。图框是块,切块名不一致。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2015-5-30 15:24:51 | 显示全部楼层
  1. ;;87.1 [功能] 包围对象最小最大点列表
  2. ;; 示例:   (MJ:GetBoundingBox (car (entsel)))
  3. ;; 返回:   ((左下角点)(右上角点))
  4. (defun MJ:GetBoundingBox (ent / ll ur)  
  5.   (vla-getboundingbox (vlax-ename->vla-object ent) 'll 'ur)
  6.   (mapcar 'vlax-safearray->list (list ll ur))
  7.   )
  8. ;;; 编制:USER2128 于 2015-05-30
  9. (defun c:tt ()
  10.   (setq Lst '())
  11.   (while (setq en (entsel "\n按先后顺序点取输入框块/<完成>:"))
  12.     (setq en (MJ:GetBoundingBox (car en)))
  13.     (setq Lst (append Lst (list en)))
  14.     )
  15.   (or (initget 6)
  16.       (setq dst (getdist "\n输入要排列各图间间距/<30>:"))
  17.       (setq dst 30.0)
  18.       )
  19.   (or (setq pt (getpoint "\n横向排列图的左下点/<0,0,0>:"))
  20.       (setq pt '(0 0 0))
  21.       )
  22.   (mapcar '(lambda(x)
  23.        (setq ss (ssget "_c" (car x) (cadr x)))
  24.        (vl-cmdf "_.copy" ss "" (car x) pt)
  25.        (setq pt (mapcar '+ pt (list (+ (- (caadr x) (caar x)) dst) 0 0)))
  26.        ) Lst)
  27.   (princ)
  28.   )
回复 支持 1 反对 0

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 17:37 , Processed in 0.181797 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表